Bug 193986 - Boot hang at udev on Tyan S2460 smp kernel and 3ware 8506-8
Boot hang at udev on Tyan S2460 smp kernel and 3ware 8506-8
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-03 19:02 EDT by Tuan Nguyen
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-20 19:22:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tuan Nguyen 2006-06-03 19:02:23 EDT
Description of problem:
System hang at the udev line when booting up using the SMP kernel.

Version-Release number of selected component (if applicable):
All Fedora Core 5 SMP kernels.

How reproducible:
It happens every time.

Steps to Reproduce:
1. Boot up the system with the 3ware 8506-8 card in the system.
Actual results:
Boot hang at the udev line.  The OK never shows up.

Expected results:
Expected system to boot normally.

Additional info:
This problem only happens if I boot using the SMP kernel and the 3ware card.  If
I boot with the non-SMP kernel then the system boots fine with the 3ware card. 
Also if I take the 3ware card out of the system, then I can boot using the SMP
kernel.  This problem didn't exist on Fedora Core 4, so I think it must have
been a recent change with the udev system since kernel 2.6.15.  I have the
latest BIOS on the motherboard and the 3ware card.  I also tried various kernel
boot options such as 'noapic', etc.
Comment 1 Dave Jones 2006-10-16 16:37:05 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Tuan Nguyen 2006-11-14 20:27:20 EST
Since I couldn't wait for this bug to be fixed, I moved my RAID card to another
machine with a different chip set.  So now I can't verify if this new kernel
fixes this bug or not.  Sorry.

Note You need to log in before you can comment on or make changes to this bug.